OneBasket
TimestreamsTime periods

Get a specific timeperiod

GET
/timestreams/{timestreamId}/timelines/{timelineId}/periods/{timeperiodId}

Get full details for a specific period for a specific timeline under a specific timestream

Path Parameters

timestreamId*string
timelineId*string
timeperiodId*string

Header Parameters

x-api-key*string

OneBasket API Key

Formatpassword

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/timestreams/string/timelines/string/periods/string" \  -H "x-api-key: pa$$word"
{  "inSeatDeliveryEnabled": true,  "type": "Primary",  "id": "string",  "timestreamId": "string",  "timelineId": "string",  "title": "string",  "description": "string",  "start": "2019-08-24T14:15:22Z",  "duration": "string",  "end": "2019-08-24T14:15:22Z"}